vich_uploader:
    db_driver: orm
    storage: flysystem
    metadata:
        type: attribute #A ajouter

    #mappings:
    #    products:
    #        uri_prefix: /images/products
    #        upload_destination: '%kernel.project_dir%/public/images/products'
    mappings:

        measure_image:
            #uri_prefix: /img/services/logos
            #upload_destination: '%kernel.project_dir%/public/img/events/logos'
            #uri_prefix: "https://%env(AWS_S3_BUCKET_NAME)%.s3.%env(AWS_S3_REGION)%.amazonaws.coms%"
            #uri_prefix: '%env(AWS_S3_BUCKET_NAME)%'
            uri_prefix: /img/measures/images
            #uri_prefix: "%env(AWS_S3_BUCKET_NAME)%/events/logos"
            upload_destination: local.measures.storage
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        workshop_logo:
            #uri_prefix: /img/services/logos
            #upload_destination: '%kernel.project_dir%/public/img/events/logos'
            #uri_prefix: "https://%env(AWS_S3_BUCKET_NAME)%.s3.%env(AWS_S3_REGION)%.amazonaws.coms%"
            #uri_prefix: '%env(AWS_S3_BUCKET_NAME)%'
            uri_prefix: /img/workshops/images
            #uri_prefix: "%env(AWS_S3_BUCKET_NAME)%/events/logos"
            upload_destination: local.workshops.storage
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

        enterprise_logo:
            uri_prefix: /img/enterprises/images
            upload_destination: local.enterprises.storage
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true

